/*
	viewg34.C

	G34 Image Viewer

	Version 1.0

	Copyright (C) 1994, Geoff Friesen B.Sc.
	All rights reserved.
*/

#if !defined(__LARGE__)
#error Large Memory Model Expected
#endif

#include <alloc.H>
#include <conio.H>
#include <dos.H>
#include <stdio.H>

#include "g320400.H"

int main (int argc, char **argv)
{
   int i;
   char *buffer;

   if (argc != 2)
   {
       fprintf (stderr, "viewg34: bad command line\n");
       return 1;
   }

   if (g_Init () == ERROR)
   {
       fprintf (stderr, "viewg34: unable to initialize G320400 library\n");
       return 1;
   }

   if ((buffer = (char *) farmalloc (128004ul)) == NULL)
   {
       g_DeInit ();
       fprintf (stderr, "viewg34: insufficient memory\n");
       return 1;
   }

   g_Cls (BLUE);
   g_SetColor (YELLOW, BLUE);
   for (i = 10; i < 120; i += 10)
	g_Circle (160, 200, i);
   g_SetColor (WHITE, BLUE);

   g_Rectangle (0, 0, HRES-1, VRES-1);

   g_MoveTo ((HRES-8*13)/2, 5);
   g_WriteStr ("V I E W G 3 4");

   g_MoveTo ((HRES-8*16)/2, 35);
   g_WriteStr ("G34 Image Viewer");

   g_MoveTo ((HRES-8*11)/2, 65);
   g_WriteStr ("Version 1.0");

   g_MoveTo ((HRES-8*17)/2, 200);
   g_WriteStr ("Loading image ...");

   g_MoveTo ((HRES-8*39)/2, 370);
   g_WriteStr ("Copyright (C) 1994, Geoff Friesen B.Sc.");

   g_MoveTo ((HRES-8*20)/2, 387);
   g_WriteStr ("All rights reserved.");

   if (g_LoadG34 (argv [1], buffer) != ERROR)
   {
       g_SetAPage (1);
       g_CopyRect (0, 0, buffer);
       g_SetVPage (1);

       if (!getch ())
	   (void) getch ();
   }

   farfree (buffer);

   g_DeInit ();

   return 0;
}